const { SlashCommandBuilder, EmbedBuilder, Client } = require("discord.js");
const { __glob } = require("../modules/global-variables");
const subplayer = require(__glob.SUBPLAYER);


module.exports = {

    data: new SlashCommandBuilder()
    .setName("report")
    .setDescription("Donne le lien vers le panel !")
    .addStringOption(option => option.setName("level").setDescription("Niveau du report").setRequired(true).addChoices(
        {name: "Majeur", value: "Majeur"},
        {name: "Mineur", value: "Mineur"},
        {name: "Suggestion", value: "Suggestion"}
    )).addStringOption(option => option.setName("desc").setDescription("Description du bug").setRequired(true)),

    async execute(client, interaction) {

        subplayer.report(client, interaction)
        
    }   

}